<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-19 15:54:09
 * 文件不允许修改，自动生成
 */

namespace common\table\new_energy;

use common\table\TableModelBase;
class JdzCityExchangePackage extends TableModelBase{
    public static function tableName()
    {
        return '{{jdz_city_exchange_package}}';
    }
                
    /**
     * ------------ 字段 package_id 
     * ------------ 表字段注释: 套餐ID
     */
    public function filterByPackageId($val): self
    {
        $this->filterByColumn("package_id", $val);
        return $this;
    }

    public function setPackageId($val): self
    {
        $this->setAttr("package_id", $val);
        return $this;
    }

    public function getPackageId()
    {
        return $this->package_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 package_code 
     * ------------ 表字段注释: 套餐编码
     */
    public function filterByPackageCode($val): self
    {
        $this->filterByColumn("package_code", $val);
        return $this;
    }

    public function setPackageCode($val): self
    {
        $this->setAttr("package_code", $val);
        return $this;
    }

    public function getPackageCode()
    {
        return $this->package_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 package_name 
     * ------------ 表字段注释: 套餐名
     */
    public function filterByPackageName($val): self
    {
        $this->filterByColumn("package_name", $val);
        return $this;
    }

    public function setPackageName($val): self
    {
        $this->setAttr("package_name", $val);
        return $this;
    }

    public function getPackageName()
    {
        return $this->package_name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 package_category 
     * ------------ 表字段注释: 1租电套餐 2车电一体套餐 3租车套餐
     */
    public function filterByPackageCategory($val): self
    {
        $this->filterByColumn("package_category", $val);
        return $this;
    }

    public function setPackageCategory($val): self
    {
        $this->setAttr("package_category", $val);
        return $this;
    }

    public function getPackageCategory()
    {
        return $this->package_category ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 tag_code 
     * ------------ 表字段注释: 标签编号
     */
    public function filterByTagCode($val): self
    {
        $this->filterByColumn("tag_code", $val);
        return $this;
    }

    public function setTagCode($val): self
    {
        $this->setAttr("tag_code", $val);
        return $this;
    }

    public function getTagCode()
    {
        return $this->tag_code ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 admin_id 
     * ------------ 表字段注释: 门店ID
     */
    public function filterByAdminId($val): self
    {
        $this->filterByColumn("admin_id", $val);
        return $this;
    }

    public function setAdminId($val): self
    {
        $this->setAttr("admin_id", $val);
        return $this;
    }

    public function getAdminId()
    {
        return $this->admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 main_admin_id 
     * ------------ 表字段注释: 主门店ID
     */
    public function filterByMainAdminId($val): self
    {
        $this->filterByColumn("main_admin_id", $val);
        return $this;
    }

    public function setMainAdminId($val): self
    {
        $this->setAttr("main_admin_id", $val);
        return $this;
    }

    public function getMainAdminId()
    {
        return $this->main_admin_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 type 
     * ------------ 表字段注释: 套餐类型
     */
    public function filterByType($val): self
    {
        $this->filterByColumn("type", $val);
        return $this;
    }

    public function setType($val): self
    {
        $this->setAttr("type", $val);
        return $this;
    }

    public function getType()
    {
        return $this->type ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 pledge 
     * ------------ 表字段注释: 押金
     */
    public function filterByPledge($val): self
    {
        $this->filterByColumn("pledge", $val);
        return $this;
    }

    public function setPledge($val): self
    {
        $this->setAttr("pledge", $val);
        return $this;
    }

    public function getPledge()
    {
        return $this->pledge ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 stock 
     * ------------ 表字段注释: 库存
     */
    public function filterByStock($val): self
    {
        $this->filterByColumn("stock", $val);
        return $this;
    }

    public function setStock($val): self
    {
        $this->setAttr("stock", $val);
        return $this;
    }

    public function getStock()
    {
        return $this->stock ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 total_day 
     * ------------ 表字段注释: 天数
     */
    public function filterByTotalDay($val): self
    {
        $this->filterByColumn("total_day", $val);
        return $this;
    }

    public function setTotalDay($val): self
    {
        $this->setAttr("total_day", $val);
        return $this;
    }

    public function getTotalDay()
    {
        return $this->total_day ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 total_num 
     * ------------ 表字段注释: 次数
     */
    public function filterByTotalNum($val): self
    {
        $this->filterByColumn("total_num", $val);
        return $this;
    }

    public function setTotalNum($val): self
    {
        $this->setAttr("total_num", $val);
        return $this;
    }

    public function getTotalNum()
    {
        return $this->total_num ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 show_money 
     * ------------ 表字段注释: 套餐标价
     */
    public function filterByShowMoney($val): self
    {
        $this->filterByColumn("show_money", $val);
        return $this;
    }

    public function setShowMoney($val): self
    {
        $this->setAttr("show_money", $val);
        return $this;
    }

    public function getShowMoney()
    {
        return $this->show_money ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 money 
     * ------------ 表字段注释: 套餐购买价格
     */
    public function filterByMoney($val): self
    {
        $this->filterByColumn("money", $val);
        return $this;
    }

    public function setMoney($val): self
    {
        $this->setAttr("money", $val);
        return $this;
    }

    public function getMoney()
    {
        return $this->money ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 exchange_money 
     * ------------ 表字段注释: 单次换电价格
     */
    public function filterByExchangeMoney($val): self
    {
        $this->filterByColumn("exchange_money", $val);
        return $this;
    }

    public function setExchangeMoney($val): self
    {
        $this->setAttr("exchange_money", $val);
        return $this;
    }

    public function getExchangeMoney()
    {
        return $this->exchange_money ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 buy_limit 
     * ------------ 表字段注释: 购买限制数量
     */
    public function filterByBuyLimit($val): self
    {
        $this->filterByColumn("buy_limit", $val);
        return $this;
    }

    public function setBuyLimit($val): self
    {
        $this->setAttr("buy_limit", $val);
        return $this;
    }

    public function getBuyLimit()
    {
        return $this->buy_limit ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 status 
     * ------------ 表字段注释: 状态：0下架，1上架
     */
    public function filterByStatus($val): self
    {
        $this->filterByColumn("status", $val);
        return $this;
    }

    public function setStatus($val): self
    {
        $this->setAttr("status", $val);
        return $this;
    }

    public function getStatus()
    {
        return $this->status ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 delete_time 
     * ------------ 表字段注释: 删除时间
     */
    public function filterByDeleteTime($val): self
    {
        $this->filterByColumn("delete_time", $val);
        return $this;
    }

    public function setDeleteTime($val): self
    {
        $this->setAttr("delete_time", $val);
        return $this;
    }

    public function getDeleteTime()
    {
        return $this->delete_time ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 ctime 
     * ------------ 表字段注释: 创建时间
     */
    public function filterByCtime($val): self
    {
        $this->filterByColumn("ctime", $val);
        return $this;
    }

    public function setCtime($val): self
    {
        $this->setAttr("ctime", $val);
        return $this;
    }

    public function getCtime()
    {
        return $this->ctime ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 utime 
     * ------------ 表字段注释: 更新时间
     */
    public function filterByUtime($val): self
    {
        $this->filterByColumn("utime", $val);
        return $this;
    }

    public function setUtime($val): self
    {
        $this->setAttr("utime", $val);
        return $this;
    }

    public function getUtime()
    {
        return $this->utime ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 sort_num 
     * ------------ 表字段注释: 排序，从大到小展示
     */
    public function filterBySortNum($val): self
    {
        $this->filterByColumn("sort_num", $val);
        return $this;
    }

    public function setSortNum($val): self
    {
        $this->setAttr("sort_num", $val);
        return $this;
    }

    public function getSortNum()
    {
        return $this->sort_num ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 area_limit 
     * ------------ 表字段注释: 0无区域限制 1有区域限制
     */
    public function filterByAreaLimit($val): self
    {
        $this->filterByColumn("area_limit", $val);
        return $this;
    }

    public function setAreaLimit($val): self
    {
        $this->setAttr("area_limit", $val);
        return $this;
    }

    public function getAreaLimit()
    {
        return $this->area_limit ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 relation_tag_code 
     * ------------ 表字段注释: 车电一体时，关联的车辆标签
     */
    public function filterByRelationTagCode($val): self
    {
        $this->filterByColumn("relation_tag_code", $val);
        return $this;
    }

    public function setRelationTagCode($val): self
    {
        $this->setAttr("relation_tag_code", $val);
        return $this;
    }

    public function getRelationTagCode()
    {
        return $this->relation_tag_code ?? null;
    }
    // ---------------------------------------------
    
}
